aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/repo-install-test.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/scripts/repo-install-test.sh b/scripts/repo-install-test.sh
index d3ce8d6..0a19b04 100755
--- a/scripts/repo-install-test.sh
+++ b/scripts/repo-install-test.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -ex
. "$(dirname "$0")/common.sh"
docker_images_require "debian-repo-install-test"
@@ -46,12 +46,14 @@ docker run --rm \
check_if_systemd_is_running
# Run the test script
-docker exec "$CONTAINER" /repo-install-test/run-inside-docker.sh
-ret="$?"
+ret=0
+if ! docker exec "$CONTAINER" /repo-install-test/run-inside-docker.sh; then
+ ret=1
+fi
# Interactive shell
if [ -n "$INTERACTIVE" ]; then
- docker exec -it "$CONTAINER" bash
+ docker exec -it "$CONTAINER" bash || true
fi
docker container kill "$CONTAINER"